ProfessionalBans Reloaded • App • Webinterface • BungeeCord & Spigot 3.0.1

Punishment system for BungeeCord networks with Webinterface and App

  1. HypeyHD
    HypeyHD
    5/5,
    Version: 3.0.1
    Auch ich habe mich einmal an diesem System Probiert und muss sagen: Komplex ist es, die Installation ist keines Wegs einfach! ABER: Das ist ein Hammer dolles System wenn es um die All-in-one Lösung für Reports bans etc. geht.

    Ich habe mir vorab diese ganzen schlechten Beurteilungen hier durchgelesen und war skeptisch ob ich mit der Installation klarkomme, nach einem Tag rumprobieren und vielen nerven zusammen Brüchen musste ich sagen hatte ich kein Bock mehr…

    ABER! Dan habe ich versucht Teammitglieder auf dem Discord anzuschreiben und ich verstehe nicht was alle sagen, dass der Support so schlecht ist. ER IST SPITZE! Ich habe mit dem lieben synex geschrieben, der sofort bereit war sich mit bei mir auf den Server drauf zuschalten und hat mir auch per Chat die ganze Zeit erklärt was er wo macht und eine Einführung in das Thema VHosts gegeben. Jetzt nach 2 stunden mit ihm an meiner Seite Funktioniert das System reibungslos. Das ist nicht selbstverständlich. Ich rate jedem der hier bei dem Webinterface verzweifelt, geht auf den Discord und wartet auch ruhig bis ihr dort eine Antwort bekommt, irgendwer wird sich schon um euch kümmern. Dafür das dieses System auch noch kostenlos ist, bekommt es von mir 5/5 Sterne gerade mit diesem Support :)
  2. MineCraftMC.de
    MineCraftMC.de
    4/5,
    Version: 3.0.1
    Das Plugin ist extrem aufwendig und schwierig, zumindest das Einreichten des Webinterfaces. Aber der Rest des Plugins ist absolut gut gecodet und auf jeden Fall die Vier Sterne Wert, alles funktioniert reibungslos!
  3. getabbter
    getabbter
    1/5,
    Version: 3.0.1
    Absoluter Mist. An sich ist das Plugin ziemlich gut, aber das Webinterface ist nicht benutzerfreundlich. Nach 3 Wochen Arebit, habe ich es immer noch nicht geschafft, das Webinterafce richtig einzustellen. Nicht benutzerfreundlich und nicht empfehlenswert!
  4. nicoenderman007
    nicoenderman007
    2/5,
    Version: 3.0.1
    Ich brauche Hilfe
    [14:54:57 INFO]: [ProfessionalBansReloaded] Enabling ProfessionalBansReloaded v3.0.1

    [14:54:57 INFO]: []===================================[]

    [14:54:57 INFO]: Achtung!

    [14:54:57 INFO]: Es wurde festgestellt das du noch nicht die Webinterface URL in der config.yml eingestellt hast.

    [14:54:57 INFO]: Folgende Features werden nicht planmäßig funktionieren

    [14:54:57 INFO]: Chatlog-System

    [14:54:57 INFO]: []===================================[]

    [14:55:01 INFO]: PBANS • The connection with the MySQL database is failed: Could not create connection to database server. Attempted reconnect 3 times. Giving up.

    [14:55:01 ERROR]: Error occurred while enabling ProfessionalBansReloaded v3.0.1 (Is it up to date?)

    java.lang.NullPointerException

    at de.tutorialwork.professionalbans.main.Data.checkMySQLVersion(Data.java:150) ~[?:?]

    at de.tutorialwork.professionalbans.main.Main.MySQL(Main.java:266) ~[?:?]

    at de.tutorialwork.professionalbans.main.Main.init(Main.java:58) ~[?:?]

    at de.tutorialwork.professionalbans.main.Main.onEnable(Main.java:39) ~[?:?]

    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]

    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]

    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]

    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:357) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]

    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:317) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]

    at net.minecraft.server.v1_8_R3.MinecraftServer.s(MinecraftServer.java:414) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]

    at net.minecraft.server.v1_8_R3.MinecraftServer.k(MinecraftServer.java:378) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]

    at net.minecraft.server.v1_8_R3.MinecraftServer.a(MinecraftServer.java:333) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]

    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:263) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]

    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]

    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_212]
  5. SkriptException
    SkriptException
    2/5,
    Version: 3.0.1
    Sobald man es geschafft hat das System zu installieren, ist das System ganz gut jedoch sollte man bei der Installation ein paar stunden einplanen, denn um das Plugin einzurichten + Webinterface habe ich über 8 STUNDEN gebraucht!!! Der Support im Discord ist ebenfalls nicht der beste, ja ich weiß das das Plugin zwar kostenlos ist dennoch kann man mehr erwarten! Sollte man jemanden/ ein teammitglied im Discord taggen, wird man direkt vom Discord geschmissen und beim zweiten mal, giebt's nen Ban. Das system an sich ist gut dafür 2 Sterne jedoch der Support und die Benutzerfreundlichkeit, ist fatal!
  6. LucazPlays
    LucazPlays
    3/5,
    Version: 3.0.1
    Habe es nach tagen geschafft zu installieren hat mir zu viele nerven gekostet um dafür mehr als 3 Sterne zu geben aber das System ist ganz gut aber Anwenderfreundlich sieht anders aus
  7. SeekuhLP
    SeekuhLP
    1/5,
    Version: 3.0.1
    Zu der 3.0 Version bei BungeeCord funktioniert es sofort aber das Webinterface ich hab noch nie mit Composer arbeiten müssen und möchte auch keine Subdomains verwenden bei meine Systeme auf mein Server und obwohl das Webinterface mit composer heruntergeladen und vorbereitet habe funktioniert garnichts und deswegen benutzen ich nur die 2.0 Version bis das Webinterface für 3.0 auch ohne Composer läuft ohne witz langsam.. nie bekomme ich richtige systeme alle wollen nur Geld ganz ehrlich irgendwann reichts mir.....!!!
  8. FOX_7_7_7
    FOX_7_7_7
    3/5,
    Version: 3.0.1
    Das Webinterface funktioniert nicht immer wenn ich darauf gehe kommt External error ich benutze einen Webspace und habe es bei 3 Anbieter getestet was mache ich falsch
  9. Delta_Minecon
    Delta_Minecon
    2/5,
    Version: 3.0.1
    Bitte mach so das man das Webinterface für Xampp (.php oder .html Dateien) benutzen kann. Ich hab ein Synology also nur eine Subdomein und keine eigene und ich benutze einen Port für meinen Webserver als bitte .php oder .html Dateien weil anders kann ich es nicht benutzen oder gibt es eine möglichkeite die html.twig Dateien zu benutzen?
  10. ItzVentio
    ItzVentio
    5/5,
    Version: 3.0.1
    Hallo.
    Hat jemand Interesse an einem Dockerfile?
    :-)

    Bei mir läuft alles auf Docker...

    Grüße
  11. Loru
    Loru
    1/5,
    Version: 3.0.1
    Wer ein großes / mittel großes Netzwerk hat, ist das Plugin nichts. Es bringt den Bungeecord komplett zum Überlasten was den Ram angeht. Zwar vom Aufbau sehr gut gemacht aber leider nichts für mich mehr.
  12. Chries
    Chries
    5/5,
    Version: 3.0.1
    Ist ein richtig gutes Plugin! Aber könntest du versuchen es bei Aternos hinzuzufügen Please?
  13. Bombasti
    Bombasti
    5/5,
    Version: 3.0.1
    Das Plugin ist Super! Das Webinterface und die App is gut Aufgebaut Ingame ist es sehr übersichtlich gestaltet.

    Allerdings würde Ich mich freuen wenn es noch einen Report Ablehen Button geben würde und einen Teleport button, sodass der spieler immer eine nachricht bekommt wie "der report wurde angenommen", "dein report wurde abgelehnt" oder "dein Report wird nun bearbeitet".

    Sonst sehr gutes Plugin

    MfG
    BaastiPlayz
  14. frigameser
    frigameser
    3/5,
    Version: 3.0.1
    Könnte man ein Tutorial unter windows machen?
    weil ich komme hier nicht weiter!

    LG: MC_Bulder
    1. Tutorialwork
      Author's Response
      Wieso für Windows? Ich empfehle dir Linux auf deinem Server zu nutzen.
  15. SLINIcraftet204
    SLINIcraftet204
    3/5,
    Version: 3.0.1
    An sich cool nachdem man die Installation genauer gelesen hat ging es weitesgehend. Was ich sehr schlecht finde ist, dass ich als debian 9 Nutzer dieses Plugin nicht mehr nutzen kann, da es nur ab debian 10 geht... Und nein ich update nicht... Gibt es eine möglichkeit das für debian 9 kompatible zu machen wäre echt cool. Falls du wissen möchtest welche MariaDB Version ich habe: 10.1.44-MariaDB-0+deb9u1 - Debian 9.11
    1. Tutorialwork
      Author's Response
      Das mit Debian 10 oder Ubuntu 20.04 ist eine Empfehlung. Auf älteren Betriebssystemen kann man aber ebenfalls die MariaDB Version updaten. Wie das geht habe ich in diesem Video erklärt: https://youtu.be/epOJ8QQnt5Y
  16. spiele_king
    spiele_king
    5/5,
    Version: 3.0.1
    Das ist bis jetzt das beste BanSystem was ich gesehen habe, zwar hatte die Version 3.0 ein paar start Schwierigkeiten aber beim Discord fand man Hilfe immer weiter so

    PS: Bitte ändere das ProfessionalTickets Webinterface Design auch in das gleiche Design wie Professionalbans
  17. Marvib
    Marvib
    4/5,
    Version: 3.0.1
  18. fewrve
    fewrve
    5/5,
    Version: 3.0
    Ja bitte lade das Tutorial so schnell wie möglich hoch und Mach so weiter super Plugins :)
    1. Tutorialwork
      Author's Response
  19. anti2020
    anti2020
    2/5,
    Version: 3.0
    Ich habe auch seit dem Update das Problem.

    [SEVERE] com.mysql.jdbc.exceptions.jdbc4.MySQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near 'JSON NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_u' at line 1
    1. Tutorialwork
      Author's Response
      Das liegt an der MariaDB Version. Du musst ein Update durchführen.
  20. namePlayer
    namePlayer
    3/5,
    Version: 3.0
    Eigentlich ist es ja ein gutes Plugin an und für sich. Aber seit der Version 3.0 ist das Webinterface schlechter geworden. Nun benötigt man meines wissens nach "Composer", was suboptimal ist. Ich fände es um einiges besser, wenn man wieder auf das klasische PHP & MySQL Prinzip umsteigen könnte.
    Wenn ich das falsch verstehe, dass man Composer benötigt, berichtigt mich bitte.
    1. Tutorialwork
      Author's Response
      Ja man brauch Composer.